Installing Amazon awsebcli using Pip

workspace
php

#1

Hey guys !

I want to connect to my Elastic Beans Stalk project on amazon, so I am trying to install the libraries.

$ pip install --upgrade --user awsebcli

Also tried with sudo.

The issue is at the moment on the install afeter downloading everything the following error happens.

InstallationError: Command /usr/bin/python -c “import setuptools, tokenize;file=’/tmp/pip_build_root/pyyaml/setup.py’;exec(compile(getattr(tokenize, ‘open’, open)(file).read().replace(’\r\n’, ‘\n’), file, ‘exec’))” install --record /tmp/pip-DowpWO-record/install-record.txt --single-version-externally-managed --compile --user failed with error code 1 in /tmp/pip_build_root/pyyaml

Anyone with this issue before ?


#2

I just managed to get it working! Just type:

$ sudo apt-get install python3.4
$ sudo apt-get update && sudo apt-get install -y python-pip libpython-dev python-dev
$ sudo -H pip3 install --upgrade pip
$ sudo pip install awsebcli --upgrade --ignore-installed six

Hope it works for you.